<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>bb - Documentation</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Chart.html">Chart</a><ul class='methods'><li data-type='method'><a href="Chart.html#axis:labels">axis:labels</a></li><li data-type='method'><a href="Chart.html#categories">categories</a></li><li data-type='method'><a href="Chart.html#category">category</a></li><li data-type='method'><a href="Chart.html#color">color</a></li><li data-type='method'><a href="Chart.html#data">data</a></li><li data-type='method'><a href="Chart.html#data:shown">data:shown</a></li><li data-type='method'><a href="Chart.html#defocus">defocus</a></li><li data-type='method'><a href="Chart.html#destroy">destroy</a></li><li data-type='method'><a href="Chart.html#flow">flow</a></li><li data-type='method'><a href="Chart.html#flush">flush</a></li><li data-type='method'><a href="Chart.html#focus">focus</a></li><li data-type='method'><a href="Chart.html#groups">groups</a></li><li data-type='method'><a href="Chart.html#hide">hide</a></li><li data-type='method'><a href="Chart.html#legend:show">legend:show</a></li><li data-type='method'><a href="Chart.html#load">load</a></li><li data-type='method'><a href="Chart.html#regions">regions</a></li><li data-type='method'><a href="Chart.html#regions:add">regions:add</a></li><li data-type='method'><a href="Chart.html#resize">resize</a></li><li data-type='method'><a href="Chart.html#revert">revert</a></li><li data-type='method'><a href="Chart.html#select">select</a></li><li data-type='method'><a href="Chart.html#selected">selected</a></li><li data-type='method'><a href="Chart.html#show">show</a></li><li data-type='method'><a href="Chart.html#toggle">toggle</a></li><li data-type='method'><a href="Chart.html#tooltip:show">tooltip:show</a></li><li data-type='method'><a href="Chart.html#transform">transform</a></li><li data-type='method'><a href="Chart.html#unload">unload</a></li><li data-type='method'><a href="Chart.html#unselect">unselect</a></li><li data-type='method'><a href="Chart.html#unzoom">unzoom</a></li><li data-type='method'><a href="Chart.html#x">x</a></li><li data-type='method'><a href="Chart.html#xgrids">xgrids</a></li><li data-type='method'><a href="Chart.html#xgrids:add">xgrids:add</a></li><li data-type='method'><a href="Chart.html#xs">xs</a></li><li data-type='method'><a href="Chart.html#ygrids">ygrids</a></li><li data-type='method'><a href="Chart.html#ygrids:add">ygrids:add</a></li><li data-type='method'><a href="Chart.html#zoom">zoom</a></li><li data-type='method'><a href="Chart.html#zoom:enable">zoom:enable</a></li></ul></li><li><a href="Options.html">Options</a><ul class='members'><li data-type='member'><a href="Options.html#.area">area</a></li><li data-type='member'><a href="Options.html#.axis:rotated">axis:rotated</a></li><li data-type='member'><a href="Options.html#.axis:x:categories">axis:x:categories</a></li><li data-type='member'><a href="Options.html#.axis:x:extent">axis:x:extent</a></li><li data-type='member'><a href="Options.html#.axis:x:height">axis:x:height</a></li><li data-type='member'><a href="Options.html#.axis:x:label">axis:x:label</a></li><li data-type='member'><a href="Options.html#.axis:x:localtime">axis:x:localtime</a></li><li data-type='member'><a href="Options.html#.axis:x:max">axis:x:max</a></li><li data-type='member'><a href="Options.html#.axis:x:min">axis:x:min</a></li><li data-type='member'><a href="Options.html#.axis:x:padding">axis:x:padding</a></li><li data-type='member'><a href="Options.html#.axis:x:show">axis:x:show</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:centered">axis:x:tick:centered</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:count">axis:x:tick:count</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:culling">axis:x:tick:culling</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:culling:max">axis:x:tick:culling:max</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:fit">axis:x:tick:fit</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:format">axis:x:tick:format</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:multiline">axis:x:tick:multiline</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:outer">axis:x:tick:outer</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:rotate">axis:x:tick:rotate</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:values">axis:x:tick:values</a></li><li data-type='member'><a href="Options.html#.axis:x:tick:width">axis:x:tick:width</a></li><li data-type='member'><a href="Options.html#.axis:x:type">axis:x:type</a></li><li data-type='member'><a href="Options.html#.axis:y2:center">axis:y2:center</a></li><li data-type='member'><a href="Options.html#.axis:y2:default">axis:y2:default</a></li><li data-type='member'><a href="Options.html#.axis:y2:inner">axis:y2:inner</a></li><li data-type='member'><a href="Options.html#.axis:y2:inverted">axis:y2:inverted</a></li><li data-type='member'><a href="Options.html#.axis:y2:label">axis:y2:label</a></li><li data-type='member'><a href="Options.html#.axis:y2:max">axis:y2:max</a></li><li data-type='member'><a href="Options.html#.axis:y2:min">axis:y2:min</a></li><li data-type='member'><a href="Options.html#.axis:y2:padding">axis:y2:padding</a></li><li data-type='member'><a href="Options.html#.axis:y2:show">axis:y2:show</a></li><li data-type='member'><a href="Options.html#.axis:y2:tick:count">axis:y2:tick:count</a></li><li data-type='member'><a href="Options.html#.axis:y2:tick:format">axis:y2:tick:format</a></li><li data-type='member'><a href="Options.html#.axis:y2:tick:outer">axis:y2:tick:outer</a></li><li data-type='member'><a href="Options.html#.axis:y2:tick:values">axis:y2:tick:values</a></li><li data-type='member'><a href="Options.html#.axis:y:center">axis:y:center</a></li><li data-type='member'><a href="Options.html#.axis:y:default">axis:y:default</a></li><li data-type='member'><a href="Options.html#.axis:y:format">axis:y:format</a></li><li data-type='member'><a href="Options.html#.axis:y:inner">axis:y:inner</a></li><li data-type='member'><a href="Options.html#.axis:y:inverted">axis:y:inverted</a></li><li data-type='member'><a href="Options.html#.axis:y:label">axis:y:label</a></li><li data-type='member'><a href="Options.html#.axis:y:max">axis:y:max</a></li><li data-type='member'><a href="Options.html#.axis:y:min">axis:y:min</a></li><li data-type='member'><a href="Options.html#.axis:y:padding">axis:y:padding</a></li><li data-type='member'><a href="Options.html#.axis:y:show">axis:y:show</a></li><li data-type='member'><a href="Options.html#.axis:y:tick:count">axis:y:tick:count</a></li><li data-type='member'><a href="Options.html#.axis:y:tick:outer">axis:y:tick:outer</a></li><li data-type='member'><a href="Options.html#.axis:y:tick:values">axis:y:tick:values</a></li><li data-type='member'><a href="Options.html#.axis:y:type">axis:y:type</a></li><li data-type='member'><a href="Options.html#.bar">bar</a></li><li data-type='member'><a href="Options.html#.bindto">bindto</a></li><li data-type='member'><a href="Options.html#.clipPath">clipPath</a></li><li data-type='member'><a href="Options.html#.color">color</a></li><li data-type='member'><a href="Options.html#.data:axes">data:axes</a></li><li data-type='member'><a href="Options.html#.data:classes">data:classes</a></li><li data-type='member'><a href="Options.html#.data:color">data:color</a></li><li data-type='member'><a href="Options.html#.data:colors">data:colors</a></li><li data-type='member'><a href="Options.html#.data:columns">data:columns</a></li><li data-type='member'><a href="Options.html#.data:empty:label:text">data:empty:label:text</a></li><li data-type='member'><a href="Options.html#.data:groups">data:groups</a></li><li data-type='member'><a href="Options.html#.data:hide">data:hide</a></li><li data-type='member'><a href="Options.html#.data:json">data:json</a></li><li data-type='member'><a href="Options.html#.data:keys">data:keys</a></li><li data-type='member'><a href="Options.html#.data:labels">data:labels</a></li><li data-type='member'><a href="Options.html#.data:mimeType">data:mimeType</a></li><li data-type='member'><a href="Options.html#.data:names">data:names</a></li><li data-type='member'><a href="Options.html#.data:onclick">data:onclick</a></li><li data-type='member'><a href="Options.html#.data:onmax">data:onmax</a></li><li data-type='member'><a href="Options.html#.data:onmin">data:onmin</a></li><li data-type='member'><a href="Options.html#.data:onout">data:onout</a></li><li data-type='member'><a href="Options.html#.data:onover">data:onover</a></li><li data-type='member'><a href="Options.html#.data:onselected">data:onselected</a></li><li data-type='member'><a href="Options.html#.data:onunselected">data:onunselected</a></li><li data-type='member'><a href="Options.html#.data:order">data:order</a></li><li data-type='member'><a href="Options.html#.data:regions">data:regions</a></li><li data-type='member'><a href="Options.html#.data:rows">data:rows</a></li><li data-type='member'><a href="Options.html#.data:selection:draggable">data:selection:draggable</a></li><li data-type='member'><a href="Options.html#.data:selection:enabled">data:selection:enabled</a></li><li data-type='member'><a href="Options.html#.data:selection:grouped">data:selection:grouped</a></li><li data-type='member'><a href="Options.html#.data:selection:isselectable">data:selection:isselectable</a></li><li data-type='member'><a href="Options.html#.data:selection:multiple">data:selection:multiple</a></li><li data-type='member'><a href="Options.html#.data:type">data:type</a></li><li data-type='member'><a href="Options.html#.data:types">data:types</a></li><li data-type='member'><a href="Options.html#.data:url">data:url</a></li><li data-type='member'><a href="Options.html#.data:x">data:x</a></li><li data-type='member'><a href="Options.html#.data:xFormat">data:xFormat</a></li><li data-type='member'><a href="Options.html#.data:xLocaltime">data:xLocaltime</a></li><li data-type='member'><a href="Options.html#.data:xs">data:xs</a></li><li data-type='member'><a href="Options.html#.data:xSort">data:xSort</a></li><li data-type='member'><a href="Options.html#.donut">donut</a></li><li data-type='member'><a href="Options.html#.gauge">gauge</a></li><li data-type='member'><a href="Options.html#.grid">grid</a></li><li data-type='member'><a href="Options.html#.interaction">interaction</a></li><li data-type='member'><a href="Options.html#.legend">legend</a></li><li data-type='member'><a href="Options.html#.line">line</a></li><li data-type='member'><a href="Options.html#.onafterinit">onafterinit</a></li><li data-type='member'><a href="Options.html#.onbeforeinit">onbeforeinit</a></li><li data-type='member'><a href="Options.html#.oninit">oninit</a></li><li data-type='member'><a href="Options.html#.onout">onout</a></li><li data-type='member'><a href="Options.html#.onover">onover</a></li><li data-type='member'><a href="Options.html#.onrendered">onrendered</a></li><li data-type='member'><a href="Options.html#.onresize">onresize</a></li><li data-type='member'><a href="Options.html#.onresized">onresized</a></li><li data-type='member'><a href="Options.html#.padding">padding</a></li><li data-type='member'><a href="Options.html#.pie">pie</a></li><li data-type='member'><a href="Options.html#.point">point</a></li><li data-type='member'><a href="Options.html#.regions">regions</a></li><li data-type='member'><a href="Options.html#.resize">resize</a></li><li data-type='member'><a href="Options.html#.size">size</a></li><li data-type='member'><a href="Options.html#.spline">spline</a></li><li data-type='member'><a href="Options.html#.subchart">subchart</a></li><li data-type='member'><a href="Options.html#.svg">svg</a></li><li data-type='member'><a href="Options.html#.title">title</a></li><li data-type='member'><a href="Options.html#.tooltip">tooltip</a></li><li data-type='member'><a href="Options.html#.transition">transition</a></li><li data-type='member'><a href="Options.html#.zoom">zoom</a></li></ul></li></ul><h3>Namespaces</h3><ul><li><a href="bb.html">bb</a><ul class='members'><li data-type='member'><a href="bb.html#.version">version</a></li></ul><ul class='methods'><li data-type='method'><a href="bb.html#.generate">generate</a></li></ul></li></ul>
</nav>

<div id="main">
    
    <h1 class="page-title">bb</h1>
    

    




<section>

<header>
    
        <h2>
        bb
        </h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line1573">line 1573</a>
    </li></ul></dd>
    

    
    <dt class="tag-version">Version:</dt>
    <dd class="tag-version"><ul class="dummy"><li>1.1.1</li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




        

        
    
    </div>

    

    

    

     

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id=".version"><span class="type-signature">(static) </span>version<span class="type-signature"></span></h4>





<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line1589">line 1589</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>



    <h5 class="subsection-title">Properties:</h5>

    

<table class="props">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>version</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last"><p>version</p></td>
        </tr>

    
    </tbody>
</table>






<div class="description">
    <p>Version information</p>
</div>







    <h5>Example</h5>
    
    <pre class="prettyprint"><code>bb.version;  // "1.0.0"</code></pre>



        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id=".generate"><span class="type-signature">(static) </span>generate<span class="signature">(options)</span><span class="type-signature"> &rarr; {<a href="Chart.html">Chart</a>}</span></h4>

    




<dl class="details">

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="billboard.js.html">billboard.js</a>, <a href="billboard.js.html#line1616">line 1616</a>
    </li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-see">See:</dt>
    <dd class="tag-see">
        <ul>
            <li><a href="Options.html">Options</a> for different generation options</li>
        
            <li><a href="Chart.html">Chart</a> for different methods API</li>
        </ul>
    </dd>
    

    
</dl>





<div class="description">
    <p>generate charts</p>
</div>









    <h5>Examples</h5>
    
    <pre class="prettyprint"><code>&lt;!-- chart holder -->&lt;div id="LineChart">&lt;/div></code></pre>

    <pre class="prettyprint"><code>// generate chart with options var chart = bb.generate({     "bindto": "#LineChart"     "data": {         "columns": [             ["data1", 30, 200, 100, 400, 150, 250],             ["data2", 50, 20, 10, 40, 15, 25]          ]     } }); // call some API // ex) get the data of 'data1' chart.data("data1");</code></pre>




    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>options</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="Options.html">Options</a></span>


            
            </td>

            

            

            <td class="description last"><p>chart options</p></td>
        </tr>

    
    </tbody>
</table>














<h5>Returns:</h5>

        


<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type"><a href="Chart.html">Chart</a></span>


    </dd>
</dl>

    


        
    

    

    
</article>

</section>




</div>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.4</a> using the <a href="https://github.com/clenemt/docdash">docdash</a> theme.
</footer>

<script>prettyPrint();</script>
<script src="scripts/linenumber.js"></script>
</body>
</html>